---
type: api
title: Get connector types
description: You do not need any Kibana feature privileges to run this API.
url: https://www.elastic.co/docs/api/doc/kibana/v8/operation/operation-get-actions-connector-types
resource: https://www.elastic.co/docs/api/doc/kibana/v8/operation/operation-get-actions-connector-types
products:
  - Kibana
---

# Get connector types

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/actions/connector_types`
- `GET` `/s/{space_id}/api/actions/connector_types`

#### Path parameters

- `space_id` (string) — optional
  An identifier for the space. If `space_id` is not provided in the URL, the default space is used. Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Description

You do not need any Kibana feature privileges to run this API.

## Query string parameters

- `feature_id` (string · max length: 100) — optional
  A filter to limit the retrieved connector types to those that support a specific feature (such as alerting or cases).

## Response

Indicates a successful call.

`application/json`

## Code examples

#### Console

```console
GET kbn:/api/actions/connector_types
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/actions/connector_types" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### A list of connector types for the `generativeAI` feature.

`application/json`

```json
[
  {
    "id": ".gen-ai",
    "name": "OpenAI",
    "enabled": true,
    "enabled_in_config": true,
    "enabled_in_license": true,
    "minimum_license_required": "enterprise",
    "supported_feature_ids": [
      "generativeAIForSecurity",
      "generativeAIForObservability",
      "generativeAIForSearchPlayground"
    ],
    "is_system_action_type": false
  },
  {
    "id": ".bedrock",
    "name": "AWS Bedrock",
    "enabled": true,
    "enabled_in_config": true,
    "enabled_in_license": true,
    "minimum_license_required": "enterprise",
    "supported_feature_ids": [
      "generativeAIForSecurity",
      "generativeAIForObservability",
      "generativeAIForSearchPlayground"
    ],
    "is_system_action_type": false
  },
  {
    "id": ".gemini",
    "name": "Google Gemini",
    "enabled": true,
    "enabled_in_config": true,
    "enabled_in_license": true,
    "minimum_license_required": "enterprise",
    "supported_feature_ids": [
      "generativeAIForSecurity"
    ],
    "is_system_action_type": false
  }
]
```

